Skip to navigation

Update 301 redirect

Update a 301 redirection rule from a site.

Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope: sites:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
redirect_idstringRequiredformat: "objectid"
Unique identifier site redirect

Request

A single redirection rule, specifying a source URL and a destination URL.
fromUrlstringOptional
The source URL path that will be redirected.
toUrlstringOptional
The target URL path where the user or client will be redirected.

Response

Request was successful
idstringOptionalRead-only
The ID of the specific redirect rule
fromUrlstringOptional
The source URL path that will be redirected.
toUrlstringOptional
The target URL path where the user or client will be redirected.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error